### Function

# Foundry ListModelMapFunc

#### Declaration

    gpointer
    (* FoundryListModelMapFunc) (
      GObject* item,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`item`

  Type: `GObject`

  The item to map.

  The called function takes ownership of the data, and is responsible for freeing it.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gpointer`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.